
exports.up = function(knex, Promise) {
    return knex.schema.createTable('announcements', function (table) {
        table.inherits('messages');
        //TODO: for now, we support only 1 author (where as graphql schema indicates support for [Group] authors)
        table.string('author',128).notNullable()
            .references('gid').inTable('groups')
            .onDelete('CASCADE'); //delete message if author is deleted
        table.integer('views').defaultTo(0);
        /* 
        we cannot declare this column yet, as table 'events' is not yet created.
        it will be declared in the migration for the 'events' childtable.
        table.integer('for_event')
            .references('mid').inTable('events')
            .onDelete('SET NULL');
        */
    });
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable('announcements');
};
